Subject: Re: [Bitcoin-development] performance testing for bitcoin

From: Ian Miers <[email-masked]>
Date: Thu, 4 Oct 2012 12:31:11 -0400

Agreed, you need to consider DoS attacks.  I have that in my mind under
security and not performance. I'd imagine the test methodology would be
completely different since you no longer are attempting to simulate real
world traffic.

Ian

On Thu, Oct 4, 2012 at 5:55 AM, Joel Joonatan Kaartinen <
[email-masked]> wrote:

> For script evaluation benchmarking, I don't think just a good
> approximation of real-world traffic is enough. You really need to
> benchmark the worst case scenarios, otherwise you could be creating a
> DoS vulnerability.
>
> - Joel
>
> ke, 2012-10-03 kello 13:57 -0400, Ian Miers kirjoitti:
> > Script evaluation performance was what I was primarily concerned
> > with.  I'm fooling around with adding some new instruction types.
> > The tricky part is that to test how that effects performance, you need
> > to be able to intersperse transactions with the new instructions with
> > existing ones.  For accuracy, you'd like your simulated traffic to at
> > least approximate the real world traffic.
> >
> >
> >
> >
> > Also, is there any bench-marking / instrumentation in bitcoind ?
> >
> >
> > Ian
> > On Wed, Oct 3, 2012 at 1:43 PM, Jeff Garzik <[email-masked]>
> > wrote:
> >         On Wed, Oct 3, 2012 at 1:38 PM, Ian Miers <[email-masked]>
> >         wrote:
> >         > Whats the best way to get performance numbers for
> >         modifications to bitcoin ?
> >         > Profiling it while running on testnet might work, but that
> >         would take a
> >         > rather long time to get data.
> >         > Is there anyway to speed this up  if we only needed to
> >         provide  relative
> >         > performance between tests. (in a sense a fast performance
> >         regression test).
> >
> >
> >         You have to be specific about what you're measuring, because
> >         "performance" is vague.
> >
> >         You can measure many aspects of blockchain performance by
> >         importing
> >         blocks via -loadblock=FILE.
> >
> >         Other performance measurements like "how fast does a block
> >         relay
> >         through the network" cannot be as easily measured.
> >
> >         --
> >         Jeff Garzik
> >         exMULTI, Inc.
> >         [email-masked]
> >
> >
> >
> ------------------------------------------------------------------------------
> > Don't let slow site performance ruin your business. Deploy New Relic APM
> > Deploy New Relic app performance management and know exactly
> > what is happening inside your Ruby, Python, PHP, Java, and .NET app
> > Try New Relic at no cost today and get our sweet Data Nerd shirt too!
> > http://p.sf.net/sfu/newrelic-dev2dev
> > _______________________________________________ Bitcoin-development
> mailing list [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
>